/*
    lex.c -- Lexical environment.
*/
/*
    Copyright (c) 1984, Taiichi Yuasa and Masami Hagiya.
    Copyright (c) 1990, Giuseppe Attardi.

    ECoLisp is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    See file '../Copyright' for full details.
*/


#include "config.h"

/******** EXPORTS ********/

#ifndef THREADS
object *lex_env;
#endif

object Smacro;
object Sblock;

/******** ------- ********/

object Stag;

void
lex_fun_bind(object name, object fun)
{
  lex_env[1] = CONS(list(3, name, Sfunction, fun), lex_env[1]);
}

void
lex_macro_bind(object name, object exp_fun)
{
  lex_env[1] = CONS(list(3, name, Smacro, exp_fun), lex_env[1]);			  
}

void
lex_tag_bind(object tag, object id)
{
  lex_env[2] = CONS(list(3, tag, Stag, id), lex_env[2]);
}

void
lex_block_bind(object name, object id)
{
  lex_env[2] = CONS(list(3, name, Sblock, id), lex_env[2]);
}

object
lex_tag_sch(object tag)
{
	object alist = lex_env[2];

	while (!endp(alist)) {
		if (eql(CAAR(alist), tag) && CADAR(alist) == Stag)
			return(CAR(alist));
		alist = CDR(alist);
	}
	return(Cnil);
}

object
lex_block_sch(object name)
{
	object alist = lex_env[2];

	while (!endp(alist)) {
		if (CAAR(alist) == name && CADAR(alist) == Sblock)
			return(CAR(alist));
		alist = CDR(alist);
	}
	return(Cnil);
}

init_lex()
{
	Smacro = make_ordinary("MACRO");
	register_root(&Smacro);
	Stag = make_ordinary("TAG");
	register_root(&Stag);
	Sblock =  make_ordinary("BLOCK");
	register_root(&Sblock);
}
