;; This file is used by make to compile ilisp.

(message "Compiling ilisp")

(load "bytecomp")

(setq load-path (cons "." load-path))

;;;%Requirements
(if (string-match "\\`18" emacs-version)
    (load "comint-v18")
  (load "comint"))


;; Muffle warnings for Lucid.  You might want to comment out some of
;; this to let it generate the new byte codes.
(setq byte-compile-emacs18-compatibility t
      byte-compile-generate-emacs19-bytecodes nil
      byte-compile-warnings '(redefine callargs unresolved))

(let ((files
       '(ilisp-cpat
	 completer
	 comint-ipc
	 bridge
	 ilisp-def
	 ilisp-el
	 ilisp-sym
	 ilisp-inp
	 ilisp-ind

	 ilisp-prc
	 ilisp-val
	 ilisp-out
	 ilisp-mov
	 ilisp-key
	 ilisp-prn
	 ilisp-low
	 ilisp-doc
	 ilisp-ext
	 ilisp-mod
	 ilisp-dia
	 ilisp-cmt
	 ilisp-rng
	 ilisp-hnd
	 ilisp-utl
	 ilisp-cmp
	 ilisp-kil
	 ilisp-snd
	 ilisp-xfr
	 ilisp-hi
	 ilisp-aut
	 ;; Dialects.
	 ilisp-cl
	 ilisp-cmu
	 ilisp-acl
	 ilisp-kcl
	 ilisp-luc
	 ilisp-sch
	 )))
  (while files
    (byte-compile-file (format "%s.el" (car files)))
    (load (format "%s" (car files)))
    (setq files (cdr files))))

(message "Done")
